# streamspeech

[![PyPI version fury.io](https://badge.fury.io/py/streamspeech.svg)](https://pypi.python.org/pypi/streamspeech/)
[![Project Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active) 
![Test-Package](https://github.com/Nelson-Gon/streamspeech/workflows/Test-Package/badge.svg)
[![PyPI license](https://img.shields.io/pypi/l/streamspeech.svg)](https://pypi.python.org/pypi/streamspeech/)
[![Total Downloads](https://pepy.tech/badge/streamspeech)](https://pepy.tech/project/streamspeech)
[![Monthly Downloads](https://pepy.tech/badge/streamspeech/month)](https://pepy.tech/project/streamspeech)
[![Weekly Downloads](https://pepy.tech/badge/streamspeech/week)](https://pepy.tech/project/streamspeech)
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://GitHub.com/Nelson-Gon/streamspeech/graphs/commit-activity)
[![GitHub last commit](https://img.shields.io/github/last-commit/Nelson-Gon/streamspeech.svg)](https://github.com/Nelson-Gon/streamspeech/commits/main)
[![GitHub issues](https://img.shields.io/github/issues/Nelson-Gon/streamspeech.svg)](https://GitHub.com/Nelson-Gon/streamspeech/issues/)
[![GitHub issues-closed](https://img.shields.io/github/issues-closed/Nelson-Gon/streamspeech.svg)](https://GitHub.com/Nelson-Gon/streamspeech/issues?q=is%3Aissue+is%3Aclosed)



`streamspeech`: generative AI that talks!


## Features List

- [x] Text to Speech

- [ ] Speech to Text 

- [ ] Custom user voices 

- [ ] API Free Development (local LLM or text generation model)

- [ ] Image to text to speech 






## Installation

The simplest way to install the latest release is as follows:

```shell
pip install streamspeech

```

To install the development version:


Open the Terminal/CMD/Git bash/shell and enter

```shell

pip install git+https://github.com/Nelson-Gon/streamspeech.git

# or for the less stable dev version
pip install git+https://github.com/Nelson-Gon/streamspeech.git@dev

```

Otherwise:

```shell
# clone the repo
git clone git@github.com:Nelson-Gon/streamspeech.git
cd streamspeech
pip install -e . 

```

## Usage 

```python
python -m streamspeech
```

The above will open a web browser with the app. NOTE: At the moment, one needs to sign up for an API Key to use this app. 

Acknowledgements

`streamspeech` is made possible by the [`PaLM` API](https://developers.generativeai.google/), [speechbrain](https://speechbrain.github.io/) by NVIDIA, and [`streamlit`](https://streamlit.io/)


To report any issues, suggestions or improvement, please do so at [issues](https://github.com/Nelson-Gon/streamspeech/issues). 

If you would like to cite this work, please use:

Nelson Gonzabato (2023) streamspeech: Generative AI that talks! https://github.com/Nelson-Gon/streamspeech


**Thank you very much**. 


> “Ideas come and go, stories stay” – NNT, The Black Swan 






